0 votes

Hi, everyone.

I faced error when "FORCE BUILD" button on "Rmarkdown report" clicked.
Error message shows following.

Would you please help me how to solve this issues?
It seems that pandoc need to be update but I couldn't find out how to update pandoc in this environment...
This environment is running on AWS EC2 server (Amazon Linux AMI release 2018.03).


Best regards.
Thank you.

by
Hi, Have you already installed pandoc and required packages? https://doc.dataiku.com/dss/latest/code-reports/rmarkdown.html#technical-requirements
Hi, Alex.
Thank you for your reply.

No. I didn't installed pandoc packages in my system (AWS EC2 Amazon Linux) when I posted this question.
I was  researching how to install pandoc package to my system in this week.

So in a just few minutes ago, I resolved this issue following way.

1. Install stack (Haskell based)
    https://docs.haskellstack.org/en/stable/install_and_upgrade/#linux
2.  Download pandoc from source code.
3.  Compiling from pandoc source code.
    https://pandoc.org/installing.html#compiling-from-source

After installed pandoc packages RMarkdown reports in DSS successfully ran.

Thank you for your support Alex.

Best regards.
Thank you.

1 Answer

0 votes

I resolved this question myself in following way.
For person who facing same issue I explain how to resolve this issue.

====

Environment: AWS EC2 Amazon Linux 2018.3

1. Install stack (Haskell based) 
    https://docs.haskellstack.org/en/stable/install_and_upgrade/#linux
2.  Download pandoc from source code.
3.  Compiling from pandoc source code.
    https://pandoc.org/installing.html#compiling-from-source

*Note*
Sample code in above documents.
====

Best regards.
Thank you.

by
edited by
1,319 questions
1,339 answers
1,539 comments
11,888 users

©Dataiku 2012-2018 - Privacy Policy